> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bluvo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Deposit Address

> Get or create a deposit address for a specific asset and network (network and asset must follow the same shaped used in the quotation endpoint).

**Required API Key Scopes:** `read`, `deposit`



## OpenAPI

````yaml https://api-bluvo.com/api/v0/openapi get /v0/wallet/deposit/address
openapi: 3.1.0
info:
  title: Bluvo API (v0)
  description: APIs to supercharge your crypto project.
  version: 0.0.3
  termsOfService: https://bluvo.co/terms
  contact:
    name: Bluvo
    email: help@bluvo.co
    url: https://bluvo.co
servers:
  - url: https://api-bluvo.com
    description: Production Server
  - url: https://test.api-bluvo.com
    description: Development Server
security: []
paths:
  /v0/wallet/deposit/address:
    get:
      tags:
        - Deposits
      summary: Deposit Address
      description: >-
        Get or create a deposit address for a specific asset and network
        (network and asset must follow the same shaped used in the quotation
        endpoint).


        **Required API Key Scopes:** `read`, `deposit`
      operationId: walletdepositaddressdepositaddress
      parameters:
        - name: asset
          in: query
          required: true
          description: Asset symbol (e.g. BTC, ETH) the same used in quotation endpoint
          schema:
            type: string
        - name: network
          in: query
          required: true
          description: >-
            Network identifier (e.g. Bitcoin, Ethereum) the same used in
            quotation endpoint
          schema:
            type: string
        - name: policy
          in: query
          required: false
          description: >-
            Address reuse policy: reuse_or_create (default), reuse_only, or
            create_new
          schema:
            type: string
            enum:
              - reuse_or_create
              - reuse_only
              - create_new
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  address:
                    type: string
                  tag:
                    type:
                      - string
                      - 'null'
                  tagType:
                    type:
                      - string
                      - 'null'
                    enum:
                      - memo
                      - destinationTag
                      - message
                      - null
                  network:
                    type: string
                  asset:
                    type: string
                  exchange:
                    type: string
                  cached:
                    type: boolean
                  fetchedAt:
                    type: number
                  minimum:
                    type:
                      - string
                      - 'null'
                  fee:
                    type:
                      - string
                      - 'null'
                  limit:
                    type:
                      - string
                      - 'null'
                  canGenerateAddress:
                    type:
                      - boolean
                      - 'null'
                required:
                  - address
                  - network
                  - asset
                  - exchange
                  - cached
                  - fetchedAt
              example:
                address: bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq
                tag: null
                tagType: null
                network: Bitcoin
                asset: BTC
                exchange: kraken
                cached: false
                fetchedAt: 1700000000000
                minimum: '0.0001'
                fee: null
                limit: null
                canGenerateAddress: true
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    enum:
                      - DEPOSIT_ASSET_REQUIRED
                      - DEPOSIT_NETWORK_REQUIRED
                      - DEPOSIT_EXCHANGE_NOT_SUPPORTED
                      - DEPOSIT_METHOD_NOT_RESOLVED
                  candidates:
                    type: array
                    items:
                      type: object
                      properties:
                        method:
                          type: string
                        score:
                          type: number
                        network:
                          type:
                            - string
                            - 'null'
                      required:
                        - method
                        - score
                        - network
                required:
                  - error
                  - type
              example:
                error: 'Missing required query parameter: network'
                type: DEPOSIT_NETWORK_REQUIRED
        '403':
          description: Forbidden - Insufficient API key permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    const: APIKEY_INSUFFICIENT_PERMISSIONS
                  missing:
                    type: array
                    items:
                      type: string
                required:
                  - error
                  - type
                  - missing
              example:
                error: Insufficient permissions
                type: APIKEY_INSUFFICIENT_PERMISSIONS
                missing:
                  - read
                  - deposit
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    enum:
                      - WALLET_NOT_FOUND
                      - DEPOSIT_ADDRESS_UNAVAILABLE
                required:
                  - error
                  - type
              example:
                error: No existing deposit address found
                type: DEPOSIT_ADDRESS_UNAVAILABLE
      security:
        - bluvoApiKey:
            - x-bluvo-api-key
          bluvoOrgId:
            - x-bluvo-org-id
          bluvoProjectId:
            - x-bluvo-project-id
          bluvoWalletId:
            - x-bluvo-wallet-id
components:
  securitySchemes:
    bluvoApiKey:
      type: apiKey
      name: x-bluvo-api-key
      in: header
      description: Bluvo API Key
    bluvoOrgId:
      type: apiKey
      name: x-bluvo-org-id
      in: header
      description: Bluvo Organization ID
    bluvoProjectId:
      type: apiKey
      name: x-bluvo-project-id
      in: header
      description: Bluvo Project ID
    bluvoWalletId:
      type: apiKey
      name: x-bluvo-wallet-id
      in: header
      description: Bluvo Wallet ID

````